package tangram

// Toto je skript pre TangramAPI, url = server:port/ppgcrm/accountconfirmation, post body = XML
// PPG ClientLink interface - AccountConfirmation
// this is async response for Account message sent from Tangram
// <?xml version="1.0" encoding="UTF-8"?>
// <setC4CResponse>
//     <Response>
//         <Interface>AccountConfirmation</Interface>
//         <C4CInternalID>200261200</C4CInternalID>
//         <ERPInternalID>20200420005</ERPInternalID>
//         <Domain>AC-SK-TANGRAM</Domain>
//     </Response>
// </setC4CResponse>

String body = request.bodyString
saveConfirmation(sql, body)

private static saveConfirmation (SQLconn conn, String xmlData)
{
    def xml = new TangramXmlReader()
    def idTng = xml.getTag(xmlData, 'ERPInternalID')
    def idC4C = xml.getTag(xmlData, 'C4CInternalID')
    def domain = xml.getTag(xmlData, 'Domain')

    // Pozor, vsetky potvrdenia z testovacieho servera pridu do API TESTCZ (aj slovenske !), schemu rozlisujeme podla "domain"
	//def schema = (domain=='AC-SK-TANGRAM') ? 'TESTSK' : 'TESTCZ'
    def schema = 'TRIGA'
    conn.conn.setSchema (schema)

    Log.INSTANCE.info ("PPG C4C AccountConfirmation $domain DB=${conn.conn.getSchema()} TNG=$idTng C4C=$idC4C")

    def prm = new DataBuffer([idTng: idTng, idC4C: idC4C])
    conn.execute("UPDATE FIRMY SET X_crmid=:idC4c, X_crmconfirmed=sysdate WHERE Xx=:idTng", prm)
}
