import tangram.Log

// SURFPOINT PAYMENT CHECK - vrati PCkasa doklad podla ID (povinny parameter ID = PCKASADOKH.XX)
urlPaymentCheck (sql, request, json)

private void urlPaymentCheck(tangram.SQLconn sql, tangram.http.TangramHttpRequest request, tangram.TangramJsonWriter json)
{
    def id = request.queryMap.getString('id')
    if (!id) Log.error("Nezadaný parameter ID (kód dokladu)")

    // Hlavicka dokladu
    def data = sql.querySingle("SELECT Kasa, Datum, Cdok, Suma FROM PCKASADOKH WHERE Xx='$id'")

    // Reponse body: zapisujeme len do bufferu, nesmieme urobit flush, to za nas urobi handler
    json.begin()
    json.pair('result', data.kasa ? 'OK' : 'ERROR')
    json.pair('id', id)
    json.pair('device', data.kasa)
    json.pair('date', data.datum)
    json.pair('receipt', data.cdok)
    json.pair('amount', data.suma)
    json.end()
}
