// API REQUEST: stav zasob z tabulky SKDISP, optional filters: id=kod_tovaru, store=kod_skladu
def select ="""
SELECT T.Xx "id", S.Sklad "store", S.Disp "stock", C.Nazov "store_name"
FROM TOVARY T 
LEFT JOIN SKDISP S ON (T.Xx=S.Kod)
LEFT JOIN C_SKLADY C ON (C.Xx=S.Sklad)
WHERE T.Flg_eshop is not null
${(query.id) ? "and T.Xx=upper(:id) " : ""}
${(query.store) ? "and S.Sklad=upper(:store) " : ""}
ORDER BY T.Xx, S.Sklad
"""

def rows = sql.queryRows (select, query)

// Response header
request.addHeader('Content-Type', 'application/json; charset=utf-8')
request.sendHeader()

// Reponse body
json.begin()
json.resultset(rows, 'items')
json.end()
rows.close()