import tangram.CfgApp

// PAYMENTLIST zoznam druhov platieb, necita z databazy ale generuje natvrdo, JSON, UTF-8
urlPaymentList(sql, request, json)

// Zoznam skladov (predajni) - exportuju sa vsetky okrem velkoskladov
private void urlPaymentList(tangram.SQLconn sql, tangram.http.TangramHttpRequest request, tangram.TangramJsonWriter json)
{
    // Response header
    request.sendHeaderJSON()

    json.begin()
    json.arrayBegin('items')

    if (CfgApp.eshopCountry == 'CZ')
    {
        json.map([id: 'H', name: 'Hotovost (cash at pickup)'])
        json.map([id: 'D', name: 'Dobírka (cash on delivery)'])
        json.map([id: 'P', name: 'Faktura (invoice)'])
        json.map([id: 'V', name: 'Platba přes platební bránu (credit card)'])
        json.map([id: 'X', name: 'Jiné (other)'])

    }
    else
    {
        json.map([id: 'H', name: 'Hotovosť (cash at pickup)'])
        json.map([id: 'D', name: 'Dobierka (cash on delivery)'])
        json.map([id: 'P', name: 'Faktúra (invoice)'])
        json.map([id: 'V', name: 'Platba cez platobnú bránu (credit card)'])
        json.map([id: 'X', name: 'Iné (other)'])
    }

    json.arrayEnd()
    json.end()
}
