package tangram

// PPG ClientLink interface - AccountConfirmation
// this is async response for Account message sent from Tangram
// Vstupne parametre: request (request+response), sql (tangram.SQLConn), query (parametre requestu), body (parsovane telo requestu), logger

// sql.conn.setSchema ('PPGSVK')
sql.conn.setSchema ('TRIGA')
String body = request.bodyString
saveConfirmation(sql, body)

private static saveConfirmation (SQLconn conn, String xmlData)
{
    def xml = new TangramXmlReader()
    def idTng = xml.getTag(xmlData, 'ERPInternalID')
    def idC4C = xml.getTag(xmlData, 'C4CInternalID')
    Log.INSTANCE.info ("PPG C4C AccountConfirmation ${conn.conn.getSchema()} TNG=$idTng C4C=$idC4C")

    def prm = new DataBuffer([idTng: idTng, idC4C: idC4C])
    conn.execute("UPDATE X_CRMACC SET Crmid=:idC4c, Lastsync=sysdate WHERE Tangramid=:idTng", prm)
}
