package tangram

import businessLogic.FAV
import businessLogic.TN_MSG

// PPG nacitanie faktury z databazy, formatovanie (zatial HTML), odoslanie mailom
// [sql] SQL connection, [data] obsahuje FAV.XX
runInvoiceNotification(sql, smtp, dir, data)

private static runInvoiceNotification (tangram.SQLconn sql, tangram.SMTP smtp, String dir, String data)
{
    def faktura = new businessLogic.FAV(sql)
    faktura.loadDB(data)
    def html = faktura.formatHTML("$dir/InvoiceNotification.ftlh")
    
	// ulozenie [html] do suboru, aby sa dal pouzit ako priloha
    // def tempFile = "$dir/invoice.html"
    // new File(tempFile).text = html

    // odoslanie SMTP (e-mail prijemcu je vo fakture v stlpci PRILOHY)
    def receiver = faktura.prilohy
    smtp.clearBody()
    smtp.msgFrom  = 'eshop@domyfarieb.sk'
    smtp.msgTo    = receiver
    smtp.msgSubject = 'Doklad k provedené platbě na www.dumbarev.cz'
    smtp.addText("Dobry den, nižšie zasielame daňový doklad k práve prebehnutej platbe na eshope www.domyfarieb.sk cez platobnu bránu Comgate")
    smtp.addHtml(html)
    // smtp.addFile('F:/temp/invoice.html')
    smtp.send()
    
    // informacia - vysledok cislo faktury, email atd.
    return "Faktura ${faktura.formatInfo()} -> $receiver"
}
