import businessLogic.Delivery
import tangram.JsonWriter
import tangram.SQLconn
import tangram.http.TangramHttpRequest

// DELIVERY zoznam povolenych druhov dopravy pre jeden tovar
// QueryPrm: id=kod tovaru,
// Planovane a zatial nepouzite parametre: quantity=mnozstvo (kontrola hmotnosti), customer=kod zakaznika (povolene spedicie)
urlDelivery(sql, request)

private static void urlDelivery(SQLconn sql, TangramHttpRequest request)
{
    def id = request.getQueryStringRequired('id')

    // Zapis JSON priamo do streamu (posledny parameter: true=vsetky spedicie, false=len povolene spedicie)
    request.sendHeaderJSON();
    JsonWriter.write(request.writer, businessLogic.Delivery.calcProductOptions(sql, id))
}
