import businessLogic.ppg.XpShopCode
import tangram.Log
// STOCK, stav zasob pre JEDEN TOVAR, hlavny sklad + nearby sklady, JSON, UTF-8
// parametre: ID=kod tovaru, STORE=kod predajne (obidva parametre povinne)
urlStock(sql, request, json)

// Zoznam skladov (predajni) - exportuju sa vsetky okrem velkoskladov
private void urlStock (tangram.SQLconn sql, tangram.http.TangramHttpRequest request, tangram.TangramJsonWriter json)
{
    def prm   = request.queryMap
    def id    = prm.getString('id')
    def shop  = prm.getString('store')  // Kod predajne CZxx, SKxx
    def xp = XpShopCode.removePrefix(shop,'')  // Kod predajne bez prefiuxu
    def data  = sql.querySingle("SELECT Sklad, Nazov2 FROM ADRESA WHERE Xx='$xp'")
    def sklad = data.getString('sklad') // Kod skladu
    def nazov = data.getString('nazov2')    // Nazov predajne

    // def stock = new businessLogic.PpgStock(sql, sklad)
    // def itemStock = stock.itemStock(id)
    // def nearbyStock = stock.nearbyStockList(id)
    def stock = sql.queryValueNum("SELECT greatest(nvl(sum(Disp),0),0) FROM SKDISP WHERE Kod='$id' and Sklad='$sklad'")
    Log.debug ("STOCK: predajna=$shop sklad=$sklad zasoba=$stock nazov=$nazov")

    // Response header
    request.sendHeaderJSON()

    // V odpovedi vraciame kody a nazvy PREDAJNI, zatial nevieme vyriesit NEARBY lebo mame nearby-sklady a nie predajne
    // Reponse body
    json.begin()
    json.pair ("store", shop)
    json.pair ("stock", stock)
    json.pair ("store_name", nazov)
    json.arrayBegin ("nearby")
//    for (r in nearbyStock)
//    {
//        json.begin()
//        json.pair("store", r.store)
//        json.pair("stock", r.stock.max(new BigNumber(0)))
//        json.pair("store_name", r.name)
//        json.end()
//    }
    json.arrayEnd ()
    json.end()
}
