// API REQUEST: ciselnik sluzieb z tabulky TOVARY, vracia String
def rows = sql.queryRows ("""
SELECT T.Xx "id", max(T.Druh) "group", max(T.Nazov) "name", max(C.Sadzba_dph) "vat", max(C.Cm_sdph) "price"
FROM TOVARY T 
LEFT JOIN TOVCENY C ON (T.Xx=C.Kod and C.Censkup='S001' and C.Typceny='A' and trunc(sysdate) between C.Datum_od and C.Datum_do)
WHERE T.Xx in ('S0001', 'S0002', 'S0003', 'S0004', 'S0005')
GROUP BY T.Xx
ORDER BY T.Xx
""")

// Response header
request.addHeader('Content-Type', 'application/json; charset=utf-8')
request.sendHeader()

// Reponse body
json.begin()
json.resultset(rows, 'items')
json.end()
rows.close()